# GimpUi.prop_enum_check_button_new

    @accepts(GObject.Object, unicode, unicode, int, int)
    @returns(Gtk.Widget)
    def prop_enum_check_button_new(config, property_name, label, false_value, true_value):
        # Python wrapper for gimp_prop_enum_check_button_new()

Creates a Gtk.CheckButton that displays and sets the specified property of type Enum. Note that this widget only allows two values for the enum, one corresponding to the "checked" state and the other to the "unchecked" state. If label is None, the property_name's nick will be used as label of the returned button.

Since 2.4

config

  Object to which property is attached.

property_name

  Name of enum property controlled by checkbutton.

label

  Label to give checkbutton (including mnemonic).

false_value

  Enum value corresponding to unchecked state.

true_value

  Enum value corresponding to checked state.

Returns